Subject: Fast regex for clisp? (for online docs)

From: Raymond Toy <[email-masked]>
Date: Mon, 10 Apr 1995 13:12:03 -0400

Does any one have fast regex routines for clisp?  I am currently using
(a slightly modified) version of nregex.cl from the CMU archives.
While nregex works, it is much to slow for my purposes.

I need a fast regex to search the info files for my online docs
project.  GCL has the GNU regex built in and GCL's lisp info interface
uses it heavily.  Has anyone done this?  

My info reader for clisp is working now, except that it is very, very
slow, even on a sparc 20.  (About 30 sec to look up the documentation
for reduce.)  With GCL, this same search is almost instantaneous.

All hints welcome.

Ray